## simh 3.8.1

=== debian/changelog ===
simh (3.8.1-6.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Maintain package in Debian team on Salsa
  * Fix build with gcc-14
    Closes: #1075511
  * Enable build using the default build flags
    Closes: #1119557
  * Secure URI in Homepage
  * d/watch:
     - version=5
     - Add comments about non-free versions
  * debhelper-compat=13
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Tue, 13 Jan 2026 16:45:50 +0100

simh (3.8.1-6.2) unstable; urgency=medium

  * Non-maintainer upload
  * Separate CFLAGS from CC (Closes: #946323)
  * Convert to source format 3.0 (Closes: #1007292)

 -- Bastian Germann <bage@debian.org>  Sat, 01 Jun 2024 12:18:16 +0000

simh (3.8.1-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-10. (Closes: #957797)
    - Use fcommon.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 19 Jan 2021 22:31:56 +0000

simh (3.8.1-6) unstable; urgency=medium

  * New maintainer (Closes: 848569)
  * Increase debhelper compat level to 10
  * Bump Standards-Version to 4.0.0

 -- Andreas Bombe <aeb@debian.org>  Fri, 21 Jul 2017 21:30:02 +0200

simh (3.8.1-5) unstable; urgency=low

  * Redoing debian/rules into the "tiny" version.
    All the buildds blew up on my previous debian/rules changes
    although local builds had worked.
  * USE_NETWORK now defined in the makefile instead of debian/rules.

 -- Vince Mulhollon <vlm@debian.org>  Tue, 19 Jul 2011 07:32:55 -0500

simh (3.8.1-4) unstable; urgency=low

  * Bump standards version from 3.9.1.0 to 3.9.2.0
    fixes lintian out-of-date-standards-version
  * Add vax780 back to the makefile, manpages, menu.
    Mike Miller noticed it went missing between 3.3.2-1 and 3.6.1-1
    I am not sure how/why it went missing.  Was not intentional.
  * Added ${LIBS} resolving FTBFS when --as-needed is used as per
    Ubuntu LP bug 811501.  Thanks to Dave Walker for the patch.
    (Closes: #634056)
  * Rearranged debian/rules to improve readability, and more 
    importantly, fixed build-arch and build-indep targets.
    fixes lintian debian-rule-missing-recommended-target

 -- Vince Mulhollon <vlm@debian.org>  Mon, 18 Jul 2011 09:19:41 -0500

simh (3.8.1-3) unstable; urgency=low

  * Rename nova to dgnova because of collision with python-novaclient
    (Closes: #631834)
  * Bump standards version from 3.8.4.0 to 3.9.1.0
  * Dynamically link in libpcap instead of static link
    fixes lintian embedded-library errors for pdp10 pdp11 vax
    This also adds a dependency for the .deb on libpcap0.8
  * fixed spelling error in hp2100_ipl.c from connnection to
    connection.  Fixes lintian spelling-error-in-binary for hp2100
  * escaped - in macro8x.1 to fix lintian "hyphen-used-as-minus-sign"
  * A first attempt at a debian/watch file
  * Applied Dennis Boone's patch to fix the H316 LDX instuction
    See H316/h316_cpu.c in the case statement for STX and LDX 
    (Closes: #631834)
  * Explicitly set source format 1.0 (for now) in debian/source/format
    This makes lintian happy, missing-debian-source-format goes away
    Eventually I'll switch to Quilt-3.0 format, just not today.

 -- Vince Mulhollon <vlm@debian.org>  Wed, 06 Jul 2011 05:07:45 -0500

simh (3.8.1-2) unstable; urgency=low

  * Build with ethernet (libpcap) support.
    (Closes: #392834)
  * Rename s3 to system3 as regards bug 549638 (name collision)
  * Build-depends on debhelper > 7
  * Some minor "make clean" changes to make lintian happy
  * Standards-version bump from 3.8.0.0 to 3.8.4.0

 -- Vince Mulhollon <vlm@debian.org>  Fri, 26 Mar 2010 10:35:39 -0500

simh (3.8.1-1) unstable; urgency=low

  * New upstream released 08-Feb-2009
  * I intentionally skipped ver 3.8.0 because it was buggy

 -- Vince Mulhollon <vlm@debian.org>  Fri, 20 Feb 2009 15:13:23 -0600

simh (3.7.0-1) unstable; urgency=low

  * New upstream released 03-Feb-2007
  * i7094 added which emulates the IBM 7090/7094
  * Upstream has converted almost entirely to pdf format for docs
  * All manpages updated
  * All docs are registered with the doc-base system

 -- Vince Mulhollon <vlm@debian.org>  Fri, 13 Apr 2007 20:16:15 -0500

simh (3.6.1-1) unstable; urgency=low

  * New upstream released 22-Jul-2006. Apparently I missed 3.6.0.

 -- Vince Mulhollon <vlm@debian.org>  Fri, 11 Aug 2006 20:53:47 -0500

simh (3.5.2-1) unstable; urgency=low

  * New upstream
  * Thanks to the recent GFDL vote, I can again include the GFDL licensed
    itsbuild.html document.

 -- Vince Mulhollon <vlm@debian.org>  Fri, 17 Mar 2006 21:03:33 -0600

simh (3.5.1-1) unstable; urgency=low

  * New upstream

 -- Vince Mulhollon <vlm@debian.org>  Mon, 31 Oct 2005 19:47:46 -0600

simh (3.5.0-2) unstable; urgency=low

  * Rename eclipse to eclipseemu (Closes: #329478)

 -- Vince Mulhollon <vlm@debian.org>  Thu, 22 Sep 2005 14:05:07 -0500

simh (3.5.0-1) unstable; urgency=low

  * New upstream
  * eclipse_tt.c relicensed to standard "supnik license" so now free
    to include the eclipse emulator
  * Have to remove itsbuild.html as its sadly non-free GFDL
  * Upgrade to standards version 3.6.2.0

 -- Vince Mulhollon <vlm@debian.org>  Sat, 17 Sep 2005 19:50:15 -0500

simh (3.4.0-1) unstable; urgency=low

  * New upstream

 -- Vince Mulhollon <vlm@debian.org>  Mon, 30 May 2005 19:25:10 -0500

simh (3.3.2-1) unstable; urgency=low

  * New upstream

 -- Vince Mulhollon <vlm@debian.org>  Mon, 21 Mar 2005 19:43:29 -0600

simh (3.3.1-1) unstable; urgency=low

  * New upstream 

 -- Vince Mulhollon <vlm@debian.org>  Sun, 20 Feb 2005 18:49:46 -0600

simh (3.3.0-2) unstable; urgency=low

  * Fix typo in manpage for pdp7 
    Same problem fixed in pdp4 and pdp15 manpages
    Fixed related problem with pdp9 manpage refering to simh_doc.txt
    Fixed related problem with i1620 manpage refering to i1620_doc.txt
    (Closes: #285064)
  * Added mtcvtv23.txt documentation file.
  * Completely rewrote the makefile to be more standard.
    (Closes: #283080)


