=== debian/control ===
Source: simh
Standards-Version: 4.7.3
Maintainer: Andreas Bombe <aeb@debian.org>
Section: otherosfs
Build-Depends:
 debhelper-compat (= 13),
 libpcap0.8-dev,
Vcs-Browser: https://salsa.debian.org/debian/simh
Vcs-Git: https://salsa.debian.org/debian/simh.git
Homepage: https://simh.trailing-edge.com/

Package: simh
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Emulators for 33 different computers
 This is the SIMH set of emulators for 33 different computers:
 DEC PDP-1, PDP-4, PDP-7, PDP-8, PDP-9,
 DEC PDP-10, PDP-11, PDP-15,
 Data General Nova, Eclipse,
 GRI-909,
 Honeywell 316, 516,
 HP 2100,
 IBM System 3 Model 10, 1401, 7094
 IBM 1620 Model 1, IBM 1620 Model 2,
 Interdata 3, 4, 5, 70, 80, 7/16, 8/16, 8/16E,
 Interdata 7/32, 8/32,
 SDS 940,
 LGP-21, LGP-30,
 DEC VAX (but cannot include the microcode due to copyright)
