=== debian/watch ===
Version: 5

Source: https://github.com/@PACKAGE@/@PACKAGE@/tags
Matching-Pattern: (?:.*?/)?v?(\d[\d.-]+)@ARCHIVE_EXT@
Uversion-Mangle: s/-/./g

# Attention!
# The latest versions of
#   https://github.com/simh/simh
# This is documented in Debian bug https://bugs.debian.org/1010998
# It seems the latest free version is v3.11-1 but this needs careful inspection first

# It should be discussed whether we want to switch to
#   https://github.com/open-simh/simh
